Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.management
Interface UnitOfWorkSpawnStrategy

All Known Implementing Classes:
  UnitOfWorkExecutorStrategy

    public interface UnitOfWorkSpawnStrategy

The interface UnitOfWorkSpawnStrategy is a strategy for allowing pluggable thread management services into any `UnitOfWork` class.

The default strategy is `UnitOfWorkExecutorStrategy`.

See Also:
  `UnitOfWork`, `Flow`, `Cascade`

Method Summary
`void` | `complete(UnitOfWork unitOfWork, int duration, TimeUnit unit)`
`boolean` | `isCompleted(UnitOfWork unitOfWork)`
`List<Future<Throwable>>` | `start(UnitOfWork unitOfWork, int maxConcurrentThreads, Collection<Callable<Throwable>> values)`

Method Detail

### start

    List<Future<Throwable>> start(UnitOfWork unitOfWork,
                                  int maxConcurrentThreads,
                                  Collection<Callable<Throwable>> values)
                                  throws InterruptedException

  Throws:
    `InterruptedException`

### isCompleted

    boolean isCompleted(UnitOfWork unitOfWork)

### complete

    void complete(UnitOfWork unitOfWork,
                  int duration,
                  TimeUnit unit)
                  throws InterruptedException

  Throws:
    `InterruptedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.